Ошибка: не удалось найти цель с хэш-строкой 'android-14' в: Открыть Android SDK Manager

Я знаю, что этот вопрос задавался несколько раз до этого, но я ищу другой ответ.

Я просто хочу запустить проект, и он дает мне эту ошибку.

Error:A problem occurred configuring project ':app'. > failed to find target with hash string 'android-14' in: C:\Users\etc. <a href="openAndroidSdkManager">Open Android SDK Manager</a> 

Я взглянул на своего менеджера Android sdk и да. У меня нет андроида 14 .

Затем я попытался найти часть проекта, которая указывает на Andoid 14. Но я ничего не нашел.

Вот мой манифест

 <uses-sdk android:minSdkVersion="8" android:targetSdkVersion="15" /> <application android:label="@string/app_name" android:icon="@drawable/ic_launcher"> 

Итак, какая часть или строка действительно запрашивает Android 14?

Опираясь на ту же проблему, я нашел атрибут « compileSkdVersion », который содержит ссылку на v.14 в proguard.cfg (Graddle Scripts, если вы используете Android Studio 1.4).

Изменено значение «23» (последняя версия), ошибка исчезла.

 android { compileSdkVersion 23 buildToolsVersion "23.0.1" defaultConfig { applicationId "com.example.android.lifecycle" minSdkVersion 7 targetSdkVersion 15 } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt' } } } 

Вот решение open build.gradle, там вы найдете

 compileSdkVersion 8 

Введите описание изображения здесь

Измените его на версию для Android версии 6, как показано ниже

 compileSdkVersion 23 

Вам нужно заменить число цели в project.properties « target=android-14 » на ваш уровень авиалинии Android в вашей студии Android. Это можно увидеть в диспетчере SDK.

Например , если у вас есть 22-й уровень api, вам нужно поставить « target=android-22 »,

У меня была эта проблема, когда я импортировал библиотеку openCV в Android Studio.

Оказывается, мне просто нужно вручную отредактировать build.gradle для библиотеки openCV, чтобы он соответствовал вашему собственному проекту.

Вы можете найти эти свойства в 'build.gradle'

 // Compilation configuration. minSdkVersion = 13 compileSdkVersion = 14 targetSdkVersion = 14 buildToolsVersion = "14.0.0" 

Вы можете изменить установку SDK-версии или добавить версию SDK для своей среды IDE

Я столкнулся с той же проблемой.

То, что я сделал для работы, было:

  • Откройте файл build.gradle в блокноте ++.
  • Измените attr «compileSdkVersion» с «Google Inc.: API Google: 14» на «14»
  • Откройте Android Studio и перестройте проект.

Затем я попытался найти часть проекта, которая указывает на Andoid 14. Но я ничего не нашел.

Это было бы в файле project.properties в проекте Eclipse или в файле compileSdkVersion вашего модуля ( compileSdkVersion ) в проекте Android Studio.